Conversations
Get inbox summary with trend
Returns windowed conversation metrics with prior-period comparison.
GET
/
v1
/
inbox
/
summary
Get inbox summary with trend
curl --request GET \
--url https://api.wazapin.com/v1/inbox/summaryconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/inbox/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/inbox/summary"
response = requests.get(url)
print(response.text){
"closed_pct_change": 123,
"current": {
"closed": 123,
"open": 123,
"total": 123,
"unassigned": 123
},
"open_pct_change": 123,
"previous": {
"closed": 123,
"open": 123,
"total": 123,
"unassigned": 123
},
"total_pct_change": 123,
"unassigned_pct_change": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Query Parameters
Window period: 7, 30, or mtd
⌘I
Get inbox summary with trend
curl --request GET \
--url https://api.wazapin.com/v1/inbox/summaryconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/inbox/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/inbox/summary"
response = requests.get(url)
print(response.text){
"closed_pct_change": 123,
"current": {
"closed": 123,
"open": 123,
"total": 123,
"unassigned": 123
},
"open_pct_change": 123,
"previous": {
"closed": 123,
"open": 123,
"total": 123,
"unassigned": 123
},
"total_pct_change": 123,
"unassigned_pct_change": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}